%define name	perl-Crypt-Rijndael
%define version	0.05
%define release	3mdk

Summary:	Crypt-Rijndael module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Crypt-Rijndael-%{version}.tar.bz2
Url:		http://www.cpan.org
Requires:	perl
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Crypt-Rijndael module for perl

%prep
%setup -q -n Crypt-Rijndael-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%{__make} PREFIX=%{buildroot}/%{_prefix} install

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc MANIFEST NEWS README
%{perl_vendorlib}/*/Crypt/*.pm
%{perl_vendorlib}/*/auto/Crypt/Rijndael/*.so
%{_mandir}/man3*/*

%changelog
* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.05-3mdk
- rebuild for new auto{prov,req}

* Tue Feb 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.05-2mdk
- do make test

* Tue Feb 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.05-1mdk
- initial cooker contrib.

